Bug 832256 (bz-release-44rc2)

Release Bugzilla 4.4rc2, 4.2.5, 4.0.10 and 3.6.13

RESOLVED FIXED

Status

()

--
blocker
RESOLVED FIXED
6 years ago
6 years ago

People

(Reporter: LpSolit, Assigned: dkl)

Tracking

(Blocks: 1 bug)

Dependency tree / graph
Bug Flags:
blocking4.4 +
blocking4.2.5 +
blocking4.0.10 +
blocking3.6.13 +

Details

Attachments

(2 attachments)

(Reporter)

Description

6 years ago
All performance fixes which we wanted to take for 4.4rc2 have been checked in. We still have a few blockers about Search.pm to fix before we can release 4.4rc2, but we are getting closer.

We have to release 4.2.5, 4.0.10 and 3.6.13 too due to a security bug which affects the 3.6 and 4.0 branches only. Bugzilla 4.2.x and 4.4rc1 are not affected. We will release 4.2.5 anyway as it contains useful fixes.
Flags: blocking4.4+
Flags: blocking4.2.5+
Flags: blocking4.0.10+
Flags: blocking3.6.13+
(Reporter)

Updated

6 years ago
Depends on: 832262
(Reporter)

Updated

6 years ago
Depends on: 832264
(Reporter)

Updated

6 years ago
Depends on: 832265
(Reporter)

Updated

6 years ago
Depends on: 832266
(Reporter)

Updated

6 years ago
Depends on: 832267
(Reporter)

Comment 1

6 years ago
A new security bug has been found, which affects all versions. So now we have a valid reason to release 4.2.5 too. :)
(Reporter)

Updated

6 years ago
Assignee: general → dkl
(Assignee)

Comment 2

6 years ago
Created attachment 715510 [details] [diff] [review]
website updates (v1)
Attachment #715510 - Flags: review?(LpSolit)
(Assignee)

Comment 4

6 years ago
Created attachment 715514 [details]
release announcement (v1)
Attachment #715514 - Flags: review?(LpSolit)
(Reporter)

Comment 5

6 years ago
Comment on attachment 715510 [details] [diff] [review]
website updates (v1)

>Index: src/releases/4.0.10/release-notes.html

>+<h1>Bugzilla 4.0.10 Release Notes</h1>
>+<h1>Bugzilla 4.0 Release Notes</h1>

Duplicated title.



>Index: src/releases/4.2.5/release-notes.html

>+<h1>Bugzilla 4.2.5 Release Notes</h1>
>+<h1>Bugzilla 4.2 Release Notes</h1>

Same here.



>Index: src/releases/4.4/index.html

>   <li>First Release Candidate: November 13, 2012*</li>

You can remove the * after the date. It's no longer an estimate. You can add the 2nd RC, though.

You also have to fix the links later in this page.



>Index: src/releases/4.4/release-notes.html

There are many absolute URLs which have been replaced by relative URLs. Is that intentional? Are we sure they all work?



>Index: src/security/3.6.12/index.html

>+[%# 4.3.4, 4.2.4, 4.0.9, 3.6.12 FIXME-AND Security Advisory %]
>+[% title = "4.3.4, 4.2.4, 4.0.9, and 3.6.12 Security Advisory" %]
>+
>+<h1>4.3.4, 4.2.4, 4.0.9, and 3.6.12 Security Advisory</h1>

There is no 4.3.4 release. It was named 4.4rc1.



>Index: src/status/changes.html

>-<tr><td><a href="[% PROCESS query f='2012-08-30+13:00' t='' %]">4.3.3/4.5 &rarr; today</a></td></tr>
>+<tr><td><a href="[% PROCESS query f='2013-02-19+13:00' t='' %]">4.3.4/4.5 &rarr; today</a></td></tr>

There is no 4.3.4 release. Also, you don't need to alter the version as we really branched after 4.3.3. This line doesn't need to be updated at all.


>+<tr><td><a href="[% PROCESS query f='2012-08-30+13:00' t='2013-02-19+13:00' %]">4.3.3 &rarr; 4.3.4 </a></td></tr>

Ewww... this 4.3.4 release doesn't exist. Please remove this line.
Attachment #715510 - Flags: review?(LpSolit) → review-
(Reporter)

Comment 6

6 years ago
Comment on attachment 715514 [details]
release announcement (v1)

r=LpSolit
Attachment #715514 - Flags: review?(LpSolit) → review+
(Assignee)

Comment 7

6 years ago
Website changes checked in with sec-advisory.
(Reporter)

Comment 8

6 years ago
bugzilla-update.xml updated.
(Reporter)

Comment 9

6 years ago
Tarballs uploaded, security advisory sent and release announcement too. All done.
Status: NEW → RESOLVED
Last Resolved: 6 years ago
Resolution: --- → FIXED
You need to log in before you can comment on or make changes to this bug.